

/*******************************************************************************
 * Trida Person k demonstraci jednoduche tridy se dvema promennymi,
 * dvema konstruktory a dvema metodami
 * 
 * @author    Tomas Pitner
 * @version   1.00,  10.9.2008
 */
public class Person {

    private static int peopleCount = 0;

    private String name;
    
    private int age;
    
    public Person(String n, int a) {
        name = n;
        age = a;
        peopleCount++;
    }
    
    public static void writePeopleCount() {
        System.out.println(peopleCount);
    }    
    
    public void writeInfo() {
        System.out.println("Person " + name + ", age="+age);
    }
    
    public void writeInfo(int howMany) {
        for (int i = 0; i < howMany; i++) {
            writeInfo();
        }
    }
    
    public void sayHelloTo(Person to) {
        System.out.println(name + " says hello to " + to.name);
    }    
}
